# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# C:\b\abs_aergn8zopq\clone\recipe, last modified Mon Nov 20 22:11:38 2023
# ------------------------------------------------

package:
  name: jupyterlab
  version: 4.0.8
source:
  sha256: c4fe93f977bcc987bd395d7fae5ab02e0c042bf4e0f7c95196f3e2e578c2fb3a
  url: https://pypi.io/packages/source/j/jupyterlab/jupyterlab-4.0.8.tar.gz
build:
  entry_points:
    - jlpm = jupyterlab.jlpmapp:main
    - jupyter-lab = jupyterlab.labapp:main
    - jupyter-labextension = jupyterlab.labextensions:main
    - jupyter-labhub = jupyterlab.labhubapp:main
  number: '0'
  script: C:\\b\\abs_aergn8zopq\\croot\\jupyterlab_1700518316761\\_h_env\\python.exe
    -m pip install --no-deps --no-build-isolation . -vv
  string: py39haa95532_0
requirements:
  host:
    - ca-certificates 2023.08.22 haa95532_0
    - editables 0.3 py39haa95532_0
    - hatch-jupyter-builder 0.8.3 py39haa95532_0
    - hatchling 1.18.0 py39haa95532_0
    - openssl 3.0.12 h2bbff1b_0
    - packaging 23.1 py39haa95532_0
    - pathspec 0.10.3 py39haa95532_0
    - pip 23.3 py39haa95532_0
    - pluggy 1.0.0 py39haa95532_1
    - python 3.9.18 h1aa4202_0
    - setuptools 68.0.0 py39haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tomli 2.0.1 py39haa95532_0
    - trove-classifiers 2023.10.18 py39haa95532_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.41.2 py39haa95532_0
  run:
    - async-lru >=1.0.0
    - importlib-metadata >=4.8.3
    - ipykernel
    - jinja2 >=3.0.3
    - jupyter-lsp >=2.0.0
    - jupyter_core
    - jupyter_server >=2.4.0,<3
    - jupyterlab_server >=2.19.0,<3
    - notebook-shim >=0.2
    - packaging
    - python >=3.9,<3.10.0a0
    - tomli
    - tornado >=6.2.0
    - traitlets
  run_constrained:
    - nodejs >=18.0.0
test:
  commands:
    - pip check
    - jupyter lab --version
    - jlpm --version
    - jupyter-lab --help
    - jupyter-labextension --help
    - jupyter labextension list
    - jupyter lab licenses
    - jupyter lab path
    - jupyter server extension list
    - jupyter server extension list 1>server_extensions 2>&1
    - jupyter lab build --dev-build=False --minimize=False
    - jupyter lab clean
    - python -m pytest -vv --pyargs jupyterlab
  imports:
    - jupyterlab
  requires:
    - nodejs
    - pip
    - pytest >=7.0
    - pytest-console-scripts
    - pytest-jupyter >=0.5.3
    - pytest-timeout
    - pytest-tornasync
    - requests
    - ripgrep
  source_files:
    - conftest.py
app:
  entry: jupyter lab
  icon: icon.png
  summary: JupyterLab 4.0.8
  type: desk
about:
  description: 'JupyterLab is the next-generation user interface for Project Jupyter.
    It offers all the familiar building blocks of the classic Jupyter Notebook (notebook,
    terminal, text editor, file browser, rich outputs, etc.) in a flexible and powerful
    user inteface. Eventually, JupyterLab will replace the classic Jupyter Notebook.
    JupyterLab can be extended using extensions that are npm packages and use our
    public APIs. You can search for the GitHub topic or npm keyword `jupyterlab-extension`
    to find extensions. To learn more about extensions, see our user documentation.
    JupyterLab is suitable for general usage. For JupyterLab extension developers,
    the extension APIs will continue to evolve.

    '
  dev_url: https://github.com/jupyterlab/jupyterlab
  doc_url: https://jupyterlab.readthedocs.io
  home: https://github.com/jupyterlab/jupyterlab
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - LICENSE
    - jupyterlab/static/third-party-licenses.json
  summary: 'An extensible environment for interactive and reproducible computing,
    based on the Jupyter Notebook and Architecture.

    '
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: aebc0847-81d9-4dc2-9898-c27ee57cf1ab
  recipe-maintainers:
    - afshin
    - blink1073
    - bollwyvl
    - ellisonbg
    - ian-r-rose
    - jasongrout
    - jochym
    - jtpio
  remote_url: git@github.com:AnacondaRecipes/jupyterlab-feedstock.git
  sha: 0391324499c1064101ca456dfb21132501a6ccb4
